al_get_clipboard_text(3)

NAME

al_get_clipboard_text - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    char *al_get_clipboard_text(ALLEGRO_DISPLAY *display)

DESCRIPTION

This function returns a pointer to a string, allocated with al_malloc(3) with the text contents of the clipboard if available. If no text is available on the clipboard then this function returns NULL. You must call al_free(3) on the returned pointer when you don't need it anymore.

Beware that text on the clipboard on Windows may be in Windows format, that is, it may have carriage return newline combinations for the line endings instead of regular newlines for the line endings on Linux or OSX.

SINCE

5.1.12

SEE ALSO

al_set_clipboard_text(3), al_clipboard_has_text(3)